curl --request POST \
--url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions/{revisionId}/restore \
--header 'Authorization: Bearer <token>'{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}ランディングページフォルダーの指定されたバージョンを取得して復元します。
curl --request POST \
--url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions/{revisionId}/restore \
--header 'Authorization: Bearer <token>'{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Model definition for a content folder.
このフォルダーが適用されるオブジェクトのタイプ。常にLANDING_PAGEにしてください。
コンテンツフォルダーが作成された日時を示すタイムスタンプ。
このコンテンツフォルダーが削除されたタイムスタンプ(ISO8601 形式)。
コンテンツフォルダーの一意の ID。
アプリダッシュボードに表示されるフォルダー名
このフォルダーがネストされているコンテンツフォルダーの ID
コンテンツフォルダーが最後に更新された日時を示すタイムスタンプ。